#
# Cookbook:: sonic-nodejs
# Recipe:: default
#
# Copyright:: 2018, The Authors, All Rights Reserved.
require 'aws-sdk'

include_recipe 'apt'
include_recipe 'build-essential'

include_recipe 'poise-python'
include_recipe 'nodesource'
include_recipe 'nodesource::upgrade_npm'
include_recipe 'nodesource::yarn'
include_recipe 'glances'
include_recipe 'code_deploy::default'
include_recipe 'code_deploy::install_agent'
include_recipe 'code_deploy::start_agent'

#need to check to see if installed first and if so, just update
execute 'pm2' do
    command 'sudo npm install pm2 -g'
end

#reboot 'app_requires_reboot' do
#    action :reboot_now
#    reason 'Need to reboot when the run completes successfully.'
#    delay_mins 5
#end


#reboot 'Reboot Instance' do
#    action :nothing
#  end
  

#file "/etc/rc.local" do
#    content <<-EOC
#     PM2_START_SCRIPT=`sudo pm2 startup`
#     sudo su -c  "$PM2_START_SCRIPT"
#     EOC
#     mode 0755
#     notifies :reboot_now, 'reboot[Reboot Instance]', :immediately
#   end
  